package com.zfire.jiasm.syncdata.download.other.repair;

import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 维修转结算
 */
@Slf4j
// @Component
public class RepairSettlement {
    /*
    @Resource
    OtherDownService otherDownService;
    @Resource
    TblAddUploadListService tblAddUploadListService;


    @Scheduled(fixedDelayString = "${wxzjs}")
    public void process() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始维修转结算: \uF0B7{}",sdf.format(new Date()));

        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getSynStatus, 0)
                .eq(TblAddUploadList::getTabName, "repair_settlement_download").list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addRepairSettlement(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("维修转结算【" + item.getId() +"】失败");
            }
        }
        log.info("维修转结算结束: \uF0B7{}",sdf.format(new Date()));

    }
*/


}
